.\" $FreeBSD: src/usr.sbin/cdcontrol/cdcontrol.1,v 1.8.2.7 1999/09/05 11:40:05 peter Exp $
.\"
.Dd July 3, 1995
.Dt CDCONTROL 1
.Os FreeBSD
.Sh NAME
.Nm cdcontrol
.Nd compact disc control utility
.Sh SYNOPSIS
.Nm cdcontrol
.Op Fl s
.Op Fl v
.Op Fl f Ar devicename
.Op Ar command args ...
.Sh DESCRIPTION
.Nm Cdcontrol
is a program to control audio features of a CD drive. The device is a name such
as
.Pa cd0
or
.Pa mcd0 . 
.Pp
If the device not specified, the environment variables 
.Ev MUSIC_CD ,
.Ev CD_DRIVE ,
.Ev DISC
and
.Ev CDPLAY
will be used (in this order) to find the cd device.
.Pp
If no command is given, then
.Nm
enters an interactive mode, reading commands from the standard input.
.Pp
The following options are available:
.Bl -tag -width indent
.It Fl s
Silent mode - do not print table headers and human readable comments.
.It Fl v
Verbose mode - print as much information as possible.
.It Fl f Ar devicename
Specify a device name, such as
.Pa /dev/cd0c
or
.Pa mcd0 .
Both absolute path and relative to
.Pa /dev
filename are possible.
Suffix `c' is added to the device name if needed.
.El
.Pp
The available commands are listed below.  Only as many
characters as are required to uniquely identify a command
need be specified. Word
.Em play
can be omitted.
.Bl -tag -width Cm

.It Cm play Ar first_track Op Ar last_track
Play from track 
.Ar first_track
to track
.Ar last_track .
The first track has number 1.
Can be omitted in all cases.

.It Cm play Ar start_m:start_s.start_f Op Ar end_m:end_s.end_f
Play from the absolute address
(MSF) defined by 
.Ar start_m
in minutes, 
.Ar start_s ,
in seconds and 
.Ar start_f
(frame number) to the absolute address defined by
.Ar end_m
in minutes, 
.Ar end_s ,
in seconds and 
.Ar end_f
(frame number). Minutes are in the range 0-99. Seconds are in the range 0-59.
Frame numbers are in the range 0-74.

.It Cm play Op Ar #start_block Op length
Play starting from the logical block
.Ar start_block
using
.Ar length
logical blocks.

.It Cm pause
Stop playing. Do not stop the disc.

.It Cm resume
Resume playing. Used after the 
.Em pause
command.

.It Cm stop
Stop the disc.

.It Cm eject
Eject the disc.

.It Cm close
Inject the disc.

.It Cm volume Ar left_channel Ar right_channel
Set the volume of left channel to 
.Ar left_channel
and the volume of right channel to 
.Ar right_channel . 
Allowed values are in the range 0-255. 

.It Cm volume Ar mute
Turn the sound off.

.It Cm volume Ar mono
Set the mono mode.

.It Cm volume Ar stereo
Set the stereo mode.

.It Cm volume Ar left
Play the left subtrack on both left and right channels.

.It Cm volume Ar right
Play the right subtrack on both left and right channels.

.It Cm info
Print the table of contents.

.It Cm status 
.Op Ar audio | media | volume

Print the information about the disc:

.Nm audio
the current playing status and position,

.Nm media
the current media catalog status,

.Nm volume
the current values of the volume for left and right channels.

.It Cm help
Print the list of available commands.

.It Cm debug Ar on
Enable the debugging mode of the CD device driver.

.It Cm debug Ar off
Disable the driver debugging mode.

.It Cm reset
Perform the hardware reset of the device.

.It Cm set Ar msf
Set minute-second-frame ioctl mode (default).

.It Cm set Ar lba
Set LBA ioctl mode.

.It Cm quit
Quit the program.

.Sh FILES
.Bl -tag -width /dev/rmcd0c -compact
.It Pa /dev/rcd0c
.It Pa /dev/rmcd0c
.It Pa /dev/rwcd0c
.El
.Sh AUTHORS
.An Jean-Marc Zucconi ,
.An Andrey A.\ Chernov ,
.An Serge V.\ Vakulenko
.Sh HISTORY
The
.Nm
command appeared in
.Fx 2.1 .
